﻿//-----------------------------------------------------------------------
// <copyright file="OptionPage.cs" company="emotive GmbH">
//     Copyright (c) emotive GmbH. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Windows.Forms;

namespace Emotive.Otx.Runtime.Api.Sample.Setting
{
    /// <summary>
    /// Comment for the class
    /// </summary>
    public class OptionPage : UserControl
    {
        #region Fields     
        
        private DevComponents.DotNetBar.ItemPanel itemPanel1;
        private DevComponents.DotNetBar.LabelItem labelItemGeneralHeader;
        private DevComponents.DotNetBar.LabelItem labelItemLanguageSettings;
        private DevComponents.DotNetBar.ItemContainer itemContainer3;
        #endregion

        #region ctors

        public OptionPage()
        {
        }
        
        #endregion

        #region Properties
        #endregion

        #region Methods
        private void InitializeComponent()
        {
            this.itemPanel1 = new DevComponents.DotNetBar.ItemPanel();
            this.labelItemGeneralHeader = new DevComponents.DotNetBar.LabelItem();
            this.labelItemLanguageSettings = new DevComponents.DotNetBar.LabelItem();
            this.itemContainer3 = new DevComponents.DotNetBar.ItemContainer();
            this.SuspendLayout();
            // 
            // itemPanel1
            // 
            // 
            // 
            // 
            this.itemPanel1.BackgroundStyle.BackColor = System.Drawing.Color.White;
            this.itemPanel1.BackgroundStyle.BorderBottom = DevComponents.DotNetBar.eStyleBorderType.Solid;
            this.itemPanel1.BackgroundStyle.BorderBottomWidth = 1;
            this.itemPanel1.BackgroundStyle.BorderColorSchemePart = DevComponents.DotNetBar.eColorSchemePart.PanelBorder;
            this.itemPanel1.BackgroundStyle.BorderLeft = DevComponents.DotNetBar.eStyleBorderType.Solid;
            this.itemPanel1.BackgroundStyle.BorderLeftWidth = 1;
            this.itemPanel1.BackgroundStyle.BorderRight = DevComponents.DotNetBar.eStyleBorderType.Solid;
            this.itemPanel1.BackgroundStyle.BorderRightWidth = 1;
            this.itemPanel1.BackgroundStyle.BorderTop = DevComponents.DotNetBar.eStyleBorderType.Solid;
            this.itemPanel1.BackgroundStyle.BorderTopWidth = 1;
            this.itemPanel1.BackgroundStyle.CornerType = DevComponents.DotNetBar.eCornerType.Square;
            this.itemPanel1.BackgroundStyle.PaddingBottom = 7;
            this.itemPanel1.BackgroundStyle.PaddingLeft = 7;
            this.itemPanel1.BackgroundStyle.PaddingRight = 7;
            this.itemPanel1.BackgroundStyle.PaddingTop = 7;
            this.itemPanel1.ContainerControlProcessDialogKey = true;
            this.itemPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.itemPanel1.FitButtonsToContainerWidth = true;
            this.itemPanel1.Items.AddRange(new DevComponents.DotNetBar.BaseItem[] {
            this.labelItemGeneralHeader,
            this.labelItemLanguageSettings,
            this.itemContainer3});
            this.itemPanel1.ItemSpacing = 5;
            this.itemPanel1.LayoutOrientation = DevComponents.DotNetBar.eOrientation.Vertical;
            this.itemPanel1.LicenseKey = "F962CEC7-CD8F-4911-A9E9-CAB39962FC1F";
            this.itemPanel1.Location = new System.Drawing.Point(0, 0);
            this.itemPanel1.Name = "itemPanel1";
            this.itemPanel1.Size = new System.Drawing.Size(520, 300);
            this.itemPanel1.Style = DevComponents.DotNetBar.eDotNetBarStyle.Windows7;
            this.itemPanel1.TabIndex = 6;
            this.itemPanel1.Text = "itemPanel1";
            // 
            // labelItemGeneralHeader
            // 
            this.labelItemGeneralHeader.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelItemGeneralHeader.Image = global::Emotive.Otx.Runtime.Sample.Properties.Resources.Document32;
            this.labelItemGeneralHeader.Name = "labelItemGeneralHeader";
            this.labelItemGeneralHeader.Text = "OptionPage Settings";
            // 
            // labelItemLanguageSettings
            // 
            this.labelItemLanguageSettings.BackColor = System.Drawing.SystemColors.ButtonFace;
            this.labelItemLanguageSettings.BorderSide = DevComponents.DotNetBar.eBorderSide.Bottom;
            this.labelItemLanguageSettings.BorderType = DevComponents.DotNetBar.eBorderType.SingleLine;
            this.labelItemLanguageSettings.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.labelItemLanguageSettings.Name = "labelItemLanguageSettings";
            this.labelItemLanguageSettings.PaddingBottom = 5;
            this.labelItemLanguageSettings.PaddingLeft = 5;
            this.labelItemLanguageSettings.PaddingTop = 5;
            this.labelItemLanguageSettings.SingleLineColor = System.Drawing.SystemColors.ControlLight;
            this.labelItemLanguageSettings.Text = "Allgemein";
            // 
            // itemContainer3
            // 
            // 
            // 
            // 
            this.itemContainer3.BackgroundStyle.CornerType = DevComponents.DotNetBar.eCornerType.Square;
            this.itemContainer3.BackgroundStyle.PaddingLeft = 5;
            this.itemContainer3.ItemSpacing = 5;
            this.itemContainer3.Name = "itemContainer3";
            // 
            // OptionPage
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.itemPanel1);
            this.Name = "OptionPage";
            this.Size = new System.Drawing.Size(520, 300);
            this.ResumeLayout(false);

        }

        public virtual void SaveOptions()
        {
        }

        public virtual void DeleteOption()
        { 
        }

        public virtual void RollBack()
        { 
        }
        #endregion
    }
}
